/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * Contact Information:
 * Dambach-Werke GmbH
 * Elektronische Leitsysteme
 * Fritz-Minhardt-Str. 1
 * 76456 Kuppenheim
 * Phone: +49-7222-402-0
 * Fax: +49-7222-402-200
 * mailto: info@els.dambach.de
 */


package de.bsvrz.ste.rdstmc.verkehrsanalyse;

import de.bsvrz.ste.rdstmc.konfiguration.StrassenSegment;
import de.bsvrz.ste.rdstmc.situation.Situation;

public class SegmentSituationDaten
{
  /**
   * 
   */
  public final Situation situation;
  public final StrassenSegment segment;
  public final long startOffset;
  public final long endOffset;
  
  public SegmentSituationDaten(Situation situation, StrassenSegment segment,
      long startOffset, long endOffset)
  {
    this.situation = situation;
    this.segment = segment;
    this.startOffset = startOffset;
    this.endOffset = endOffset;
  }
  
  @Override
  public boolean equals(Object obj)
  {
    if (obj instanceof SegmentSituationDaten)
    {  
      return (situation.equals(((SegmentSituationDaten)obj).situation) &&
          segment.equals(((SegmentSituationDaten)obj).segment) &&
          startOffset == ((SegmentSituationDaten)obj).startOffset &&
          endOffset == ((SegmentSituationDaten)obj).endOffset);
    }
    else
    {
      return false;
    }
  }
  
}